package domain


type AlibabaNewretailPurchasePriceSaveTopBaseResult struct {
    /*
        返回码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        返回码说明     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        表示调用是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        响应返回值     */
    Model  *AlibabaNewretailPurchasePriceSaveSavePurchasePriceResponse `json:"model,omitempty" `

}

func (s *AlibabaNewretailPurchasePriceSaveTopBaseResult) SetReturnCode(v string) *AlibabaNewretailPurchasePriceSaveTopBaseResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceSaveTopBaseResult) SetReturnMsg(v string) *AlibabaNewretailPurchasePriceSaveTopBaseResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceSaveTopBaseResult) SetSuccess(v bool) *AlibabaNewretailPurchasePriceSaveTopBaseResult {
    s.Success = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceSaveTopBaseResult) SetModel(v AlibabaNewretailPurchasePriceSaveSavePurchasePriceResponse) *AlibabaNewretailPurchasePriceSaveTopBaseResult {
    s.Model = &v
    return s
}
